## InternetAddress

InternetAddress — Internet addresses

## Functions

const char * | internet_address_get_name ()
void | internet_address_set_name ()
const char * | internet_address_get_charset ()
void | internet_address_set_charset ()
char * | internet_address_to_string ()

## Types and Values

struct | InternetAddress

## Object Hierarchy

        GObject
        ╰── InternetAddress
            ├── InternetAddressGroup
            ╰── InternetAddressMailbox

## Description

An InternetAddress is the base class for InternetAddressGroup and InternetAddressMailbox.

## Functions

### internet_address_get_name ()

    const char *
    internet_address_get_name (InternetAddress *ia);

Gets the display name of the InternetAddress.

#### Parameters

ia | a InternetAddress |

#### Returns

the name of the mailbox or group in a form suitable for display if available or `NULL` otherwise. If the name is available, the returned string will be in UTF-8.

[nullable]

### internet_address_set_name ()

    void
    internet_address_set_name (InternetAddress *ia,
                               const char *name);

Set the display name of the InternetAddress.

Note: The `name` string should be in UTF-8.

#### Parameters

ia | a InternetAddress |
name | the display name for the address group or mailbox |

### internet_address_get_charset ()

    const char *
    internet_address_get_charset (InternetAddress *ia);

Gets the charset to be used when encoding the name of the mailbox or group.

#### Parameters

ia | a InternetAddress |

#### Returns

the charset to be used when encoding the name of the mailbox or group if available or `NULL` otherwise.

[nullable]

### internet_address_set_charset ()

    void
    internet_address_set_charset (InternetAddress *ia,
                                  const char *charset);

Set the charset to use for encoding the name of the mailbox or group.

#### Parameters

ia | a InternetAddress |
charset | the charset to use when encoding the name or `NULL` to use the defaults. | [nullable]

### internet_address_to_string ()

    char *
    internet_address_to_string (InternetAddress *ia,
                                GMimeFormatOptions *options,
                                gboolean encode);

Allocates a string containing the contents of the InternetAddress object.

#### Parameters

ia | Internet Address object |
options | a GMimeFormatOptions or `NULL`. | [nullable]
encode | `TRUE` if the address should be rfc2047 encoded |

#### Returns

the InternetAddress object as an allocated string in rfc822 format.

## Types and Values

### struct InternetAddress

    struct InternetAddress;

An RFC 2822 Address object.

#### Members

## See Also

InternetAddressGroup, InternetAddressMailbox